io.vertx.lang.groovy

## Class GroovyVerticleFactory

- java.lang.Object
- - io.vertx.lang.groovy.GroovyVerticleFactory

- All Implemented Interfaces:
    VerticleFactory

      public class GroovyVerticleFactory
      extends Object
      implements VerticleFactory

  Placeholder
  Author:
    Tim Fox, Alexander Klein, Danny Kirchmeier, Julien Viet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroovyVerticleFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `blockingCreate()` If the `VerticleFactory.createVerticle(String, ClassLoader)` method might be slow Vert.x will call it using a worker thread instead of an event loop if this returns true
    `void` | `close()` Close the factory.
    `Verticle` | `createVerticle(String verticleName, ClassLoader classLoader)` Create a verticle instance.
    `void` | `init(Vertx vertx)` Initialise the factory
    `String` | `prefix()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.core.spi.VerticleFactory

      `order, removePrefix, requiresResolve, resolve`

- - ### Constructor Detail

    - #### GroovyVerticleFactory

          public GroovyVerticleFactory()

  - ### Method Detail

    - #### init

          public void init(Vertx vertx)

      Description copied from interface: `VerticleFactory`
      Initialise the factory
      Specified by:
        `init` in interface `VerticleFactory`
      Parameters:
        `vertx` - The Vert.x instance

    - #### prefix

          public String prefix()

      Specified by:
        `prefix` in interface `VerticleFactory`
      Returns:
        The prefix for the factory, e.g. "java", or "js".

    - #### blockingCreate

          public boolean blockingCreate()

      Description copied from interface: `VerticleFactory`
      If the `VerticleFactory.createVerticle(String, ClassLoader)` method might be slow Vert.x will call it using a worker thread instead of an event loop if this returns true
      Specified by:
        `blockingCreate` in interface `VerticleFactory`
      Returns:
        true if `VerticleFactory.createVerticle(String, ClassLoader)` should be called on a worker thread.

    - #### createVerticle

          public Verticle createVerticle(String verticleName,
                                         ClassLoader classLoader)
                                  throws Exception

      Description copied from interface: `VerticleFactory`
      Create a verticle instance. If this method is likely to be slow (e.g. Ruby or JS verticles which might have to start up a language engine) then make sure it is run on a worker thread by returning `true` from `VerticleFactory.blockingCreate()`.
      Specified by:
        `createVerticle` in interface `VerticleFactory`
      Parameters:
        `verticleName` - The verticle name
        `classLoader` - The class loader
      Returns:
        The instance
      Throws:
        `Exception`

    - #### close

          public void close()

      Description copied from interface: `VerticleFactory`
      Close the factory. The implementation must release all resources.
      Specified by:
        `close` in interface `VerticleFactory`

Copyright © 2017. All rights reserved.